using SqlSugar;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using XF.Domain.Repository;

namespace Hotline.KnowledgeBase
{
	[Description("知识库评论")]
	public class KnowledgeComment : FullStateEntity
	{
		/// <summary>
		/// 知识库ID
		/// </summary>
		[SugarColumn(ColumnDescription = "知识库ID")]
		public string KnowledgeId { get; set; }

		/// <summary>
		/// 知识库
		/// </summary>
		[Navigate(NavigateType.OneToOne, nameof(KnowledgeId))]
		public Knowledge Knowledge { get; set; }

		/// <summary>
		/// 评论内容
		/// </summary>
		[SugarColumn(ColumnDescription = "评论内容", ColumnDataType = "text")]
		public string? Content { get; set; }

		/// <summary>
		/// 回复ID
		/// </summary>
		[SugarColumn(ColumnDescription = "回复ID")]
		public string? ReplyId { get; set; }

		/// <summary>
		/// 匿名
		/// </summary>
		[SugarColumn(ColumnDescription = "匿名")]
		public bool Cryptonym { get; set; }= false;

		/// <summary>
		/// 回复数
		/// </summary>
		[SugarColumn(ColumnDescription = "回复数")]
		public int ReplyNum { get; set; } = 0;

	}
}
